## org.eclipse.datatools.sqltools.db.derby.core
Class DerbyConfiguration

    java.lang.Object
      org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration
          org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration
              org.eclipse.datatools.sqltools.db.derby.core.DerbyConfiguration

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable

    public class DerbyConfiguration

extends org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration

Author:
  Hui Cao

Field Summary
`static java.lang.String[]` `DERBY_ALIASES`

Constructor Summary
`DerbyConfiguration()`

Method Summary
`java.lang.String[]` `getAssociatedConnectionProfileType()`
`org.eclipse.datatools.sqltools.core.services.ConnectionService` `getConnectionService()`
`org.eclipse.datatools.sqltools.core.DBHelper` `getDBHelper()`
`org.eclipse.datatools.sqltools.core.services.ExecutionService` `getExecutionService()`
`static DerbyConfiguration` `getInstance()`
`org.eclipse.datatools.sqltools.core.services.SQLService` `getSQLService()`
`boolean` `recognize(java.lang.String product, java.lang.String version)`

Methods inherited from class org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration
`getDatabaseVendorDefinitionId, setDatabaseVendorDefinitionId`

Methods inherited from class org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration
`getAdapter, getDatabaseSetting, getDefaultInstance, getSQLDataService, getSQLEditorService`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DERBY_ALIASES

    public static final java.lang.String[] DERBY_ALIASES

Constructor Detail

### DerbyConfiguration

    public DerbyConfiguration()

Method Detail

### getInstance

    public static DerbyConfiguration getInstance()

### getConnectionService

    public org.eclipse.datatools.sqltools.core.services.ConnectionService getConnectionService()

  Overrides:
    `getConnectionService` in class `org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration`

### getSQLService

    public org.eclipse.datatools.sqltools.core.services.SQLService getSQLService()

  Overrides:
    `getSQLService` in class `org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration`

### getDBHelper

    public org.eclipse.datatools.sqltools.core.DBHelper getDBHelper()

  Overrides:
    `getDBHelper` in class `org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration`

### getExecutionService

    public org.eclipse.datatools.sqltools.core.services.ExecutionService getExecutionService()

  Overrides:
    `getExecutionService` in class `org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration`

### recognize

    public boolean recognize(java.lang.String product,
                             java.lang.String version)

  Overrides:
    `recognize` in class `org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration`

### getAssociatedConnectionProfileType

    public java.lang.String[] getAssociatedConnectionProfileType()

  Overrides:
    `getAssociatedConnectionProfileType` in class `org.eclipse.datatools.sqltools.db.generic.GenericDBConfiguration`